Bug 148450 - devel/glib20: recent glib20 __STDC_ISO_10646__ fix causes pidgin to crash
devel/glib20: recent glib20 __STDC_ISO_10646__ fix causes pidgin to crash
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: gnome
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-08 12:30 UTC by xmirya
Modified: 2010-07-20 22:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description xmirya 2010-07-08 12:30:03 UTC
I've got devel/glib20 built WITH_COLLATION_FIX=yes . The last commit to devel/glib20/Makefile adds a __STDC_ISO_10646__ definition to configure arguments for that option. The problem is pidgin (net-im/pidgin) constantly crashes if all conditions below are met:
a) glib20 built WITH_COLLATION_FIX=yes
b) glib20 built after that commit (so with __STDC_ISO_10646__ definition)
c) pidgin is started with uk_UA.KOI8-U locale

, but works well when any of three requirements above is lifted, e.g. if i reset locale to C, or if the commit is reverted (as it was before) it works well.
 According to the `pidgin -d` log the crash occurs somewhere during constructing the buddy list (either read from the local configuration in ~/.purple or after an account added and the server contact list is read when started from scratch with no ~/.purple existing).
 Also, the possible significant condition is that the buddylist contains non-latin group names (while buddy names are all latin)

Fix: 

Revert the __STDC_ISO_10646__ definition commit
or
unset devel/glib20 WITH_COLLATION_FIX=yes option
or
run an application (pidgin) with C locale
Comment 1 Remko Lodder freebsd_committer 2010-07-08 15:57:18 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports

reassign to ports
Comment 2 Koop Mast freebsd_committer 2010-07-10 17:30:07 UTC
Responsible Changed
From-To: freebsd-ports->gnome

Glib is a gnome@ ports.
Comment 3 dfilter freebsd_committer 2010-07-20 22:24:24 UTC
mezz        2010-07-20 21:24:08 UTC

  FreeBSD ports repository

  Modified files:
    devel/glib20         Makefile 
  Log:
  Back out previous committed of add -D__STDC_ISO_10646__ as it causes a few
  applications crash.
  
  PR:             ports/148450
  Reported by:    Kyryll A Mirnenko <xmirya@gmail.com>
  Discussed with: marcus
  Feature safe:   yes
  
  Revision  Changes    Path
  1.169     +2 -1      ports/devel/glib20/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 mezz freebsd_committer 2010-07-20 22:24:42 UTC
State Changed
From-To: open->closed

I have disabled the __STDC_ISO_10646__. Thanks for report!